--PJ017930 - Change 11 - 08262015

USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO
	  
 --1. Add new columns to dbo.FSA_ORDR and arch.FSA_ORDR
ALTER TABLE [dbo].[FSA_ORDR]
	ADD TPORT_VNDR_RAW_MRC_IN_CUR_AMT VARCHAR (25),
		TPORT_VNDR_RAW_MRC_QOT_CUR_AMT VARCHAR (25),
		TPORT_VNDR_RAW_NRC_QOT_CUR_AMT VARCHAR (25),
		TPORT_CNVRSN_RT_QTY VARCHAR (25),
		TPORT_MARKUP_PCT_QTY VARCHAR (25),
		TPORT_TAX_PCT_QTY VARCHAR (25),
		TPORT_BEARER_CHG_AMT VARCHAR (25),
		TPORT_ADDL_MRC_AMT VARCHAR (25),
		TPORT_CALC_RT_MRC_USD_AMT VARCHAR (25),
		TPORT_CALC_RT_NRC_USD_AMT VARCHAR (25),
		TPORT_CUR_NME VARCHAR (50),
		TTRPT_ACCS_BDWD_TYPE VARCHAR(30)
GO

ALTER TABLE dbo.FSA_ORDR_CUST
	ADD TAX_XMPT_CD VARCHAR(1),
		CHARS_CUST_ID VARCHAR(9)
		
ALTER TABLE dbo.FSA_ORDR 
	ADD PRE_QUAL_NBR Varchar(20)
	
ALTER TABLE dbo.FSA_ORDR 
	ADD		TPORT_VNDR_QUOTE_ID VARCHAR(100),
			TPORT_PREQUAL_SITE_ID VARCHAR(9),
			TPORT_ETH_ACCS_TYPE_CD VARCHAR(3),
			TPORT_PREQ_LINE_ITEM_ID_XPIRN_DT DATE,
			TPORT_PREQUAL_LINE_ITEM_ID	VARCHAR(10),
			TPORT_DVSTY_TYPE_NME		VARCHAR(20),
			TPORT_CALC_RT_NRC_IN_CUR_AMT	VARCHAR(25),
			TPORT_CALC_RT_MRC_IN_CUR_AMT	VARCHAR(25)
			
			
GO

--Select * From dbo.FSA_ORDR 

--ALTER TABLE [arch].[FSA_ORDR]
--	ADD TPORT_VNDR_RAW_MRC_IN_CUR_AMT VARCHAR (25),
--		TPORT_VNDR_RAW_MRC_QOT_CUR_AMT VARCHAR (25),
--		TPORT_CNVRSN_RT_QTY VARCHAR (25),
--		TPORT_MARKUP_PCT_QTY VARCHAR (25),
--		TPORT_TAX_PCT_QTY VARCHAR (25),
--		TPORT_BEARER_CHG_AMT VARCHAR (25),
--		TPORT_ADDL_MRC_AMT VARCHAR (25),
--		TPORT_CALC_RT_MRC_USD_AMT VARCHAR (25),
--		TPORT_CALC_RT_NRC_USD_AMT VARCHAR (25),
--		TPORT_CUR_NME VARCHAR (50)
--GO

 --2. drop columns from dbo.FSA_ORDR and arch.FSA_ORDR
--ALTER TABLE [dbo].[FSA_ORDR]
--DROP COLUMN [TTRPT_ACCS_QOT_MRK_UP_AMT], 
--			[TTRPT_ACCS_QOT_TAX_AMT],
--			[TTRPT_ACCS_QOT_BEAR_CHG_AMT],
--			[TTRPT_ACCS_QOT_ADDON_CHG_1_AMT],
--			[TTRPT_ACCS_QOT_ADDON_CHG_2_AMT],
--			[TTRPT_ACCS_QOT_CUR_CD]
			
--ALTER TABLE [dbo].[FSA_ORDR]
--DROP COLUMN TPORT_ACTL_HOST_SRVR_NBR,
--			TPORT_DIA_INET_RGSTR_TXT,
--			TPORT_NEW_CNSTRCTN_TXT,
--			TPORT_UNMANNED_SITE_TXT,
--			TPORT_CAL_BEF_DSPCH_TXT,
--			TPORT_PVC_NBR,
--			TPORT_DTE_DEV_TXT,
--			INSTLN_MODEM_TXT,
--			INSTLN_PRIM_DNS_RGSTR_WITH_TXT,
--			INSTLN_PRIM_DNS_TXT,
--			INSTLN_SCNDY_DNS_SRVC_TXT,
--			INSTLN_SCNDY_DNS_TXT
			
--ALTER TABLE [dbo].[FSA_ORDR_BILL_LINE_ITEM]
--DROP COLUMN	BNDL_BIC_TXT,
--			PROMO_BIC_TXT,
--			PORT_BNDL_INDCR_CD,
--			PORT_MNU_BSD_INDCR_CD,
--			PORT_BIC_TXT,
--			PORT_PROMO_TXT
						
--ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM
--	DROP COLUMN ACCS_BDWD_CD,
--				CNTRC_NBR			

--DROP TABLE ORDR_HOST_INET
--GO

--ALTER TABLE [arch].[FSA_ORDR]
--DROP COLUMN [TTRPT_ACCS_QOT_MRK_UP_AMT], 
--			[TTRPT_ACCS_QOT_TAX_AMT],
--			[TTRPT_ACCS_QOT_BEAR_CHG_AMT],
--			[TTRPT_ACCS_QOT_ADDON_CHG_1_AMT],
--			[TTRPT_ACCS_QOT_ADDON_CHG_2_AMT],
--			[TTRPT_ACCS_QOT_CUR_CD]
--GO


--Changed 09/28/15 
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_ETHRNT_NRFC_INDCR VARCHAR(50)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_CNCTR_TYPE_ID VARCHAR(20)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_CUST_ROUTR_AUTO_NEGOT_CD VARCHAR(5)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_CUST_ROUTR_TAG_TXT VARCHAR(20)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_IP_VER_TYPE_CD VARCHAR(10)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_IPV4_ADR_PRVDR_CD VARCHAR(8)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN TPORT_IPV6_ADR_PRVDR_CD VARCHAR(8)

--PJ17930 CPE Fields
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN CPE_ACCS_PRVDR_CD VARCHAR(50)
ALTER TABLE dbo.FSA_ORDR ALTER COLUMN CPE_ECCKT_ID VARCHAR(25)


USE [COWS]
GO

/****** Object:  Index [UX01_FSA_ORDR]    Script Date: 10/21/2015 13:06:27 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[FSA_ORDR]') AND name = N'UX01_FSA_ORDR')
ALTER TABLE [dbo].[FSA_ORDR] DROP CONSTRAINT [UX01_FSA_ORDR]
GO


--dbo.ASR Change data type of LEC_NNI_NBR from int to varchar(50)
-- USE COWS
-- GO
-- ALTER TABLE dbo.ASR 
	-- ADD LEC_NNI_NBR_NEW VARCHAR(50) NULL
	
-- UPDATE dbo.ASR SET LEC_NNI_NBR_NEW = LEC_NNI_NBR 

-- ALTER TABLE dbo.ASR
	-- DROP COLUMN  LEC_NNI_NBR 

-- GO
-- Exec sp_RENAME 'dbo.ASR.LEC_NNI_NBR_NEW', 'LEC_NNI_NBR' , 'COLUMN'
-- GO	

SET ANSI_NULLS OFF
GO

SET QUOTED_IDENTIFIER OFF
GO
